/****************************************************************************

Package:            de.mvcsys.util
Interface:          ExceptionHandler

Aufgabe:            Uebergabe einer Exception von einem Thread an den anderen

Programmierer:      Marcus von Cube (MvC)

Aenderungen:

Datum     Name  Vers.  Bemerkung
-----------------------------------------------------------------------------
25.11.04  MvC   1.0    erstellt

****************************************************************************/

package de.mvcsys.util;

/**
 *  &Uuml;bergabe einer Exception von einem Thread an den anderen
 *  Der Empf&auml;nger implementiert dieses Interface und teilt sich
 *  dem Sender als solcher mit.
 *  Der Sender ruft dann die Methode notifyException() auf.
 */
public interface ExceptionHandler {
    void notifyException( Throwable t, Object o );
}

